## plasma-desktop 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-desktop)

set(PROJECT_VERSION "6.5.2")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)

set(PROJECT_DEP_VERSION "6.5.2")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(ACCOUNTSQT_DEP_VERSION "1.13")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
set(INSTALL_SDDM_THEME TRUE)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMFindQmlModule)
include(ECMGenerateExportHeader)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)
include(ECMConfiguredInstall)

option(BUILD_DOC "Whether to build the documentation" ON)
option(BUILD_KCM_MOUSE_KWIN_WAYLAND "Build the Mouse KCM's KWin+Wayland backend" ON)
option(BUILD_KCM_MOUSE_X11 "Build the Mouse KCM's X11 backend" ON)
option(BUILD_KCM_TOUCHPAD_KWIN_WAYLAND "Build the Touchpad KCM's KWin+Wayland backend" ON)
option(BUILD_KCM_TOUCHPAD_X11 "Build the Touchpad KCM's X11 backend" ON)
option(BUILD_KCM_TABLET "Build the Tablet KCM" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    Svg
    Concurrent
    Core5Compat
    ShaderTools
    Sql # kcms/activities
)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if(BUILD_KCM_TABLET)
    find_package(Qt6WaylandClient ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Crash
    Config
    I18n
    KCMUtils
    NewStuff
    KIO
    Notifications
    NotifyConfig
    Attica
    Runner
    GlobalAccel
    CoreAddons # KSharedDataCache required by KImageCache, KStringHandler required by FolderModel
    GuiAddons # KImageCache
    DBusAddons
    Config
    WidgetsAddons
    Codecs
    Sonnet
    Package
    IconThemes
    XmlGui
    Svg
)

find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_DEP_VERSION} REQUIRED)

if(BUILD_TESTING)
    find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
    include(ECMAddTests)
endif()

if(BUILD_DOC)
    find_package(KF6DocTools ${KF6_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif()

find_package(AccountsQt6 ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt6 PROPERTIES
    DESCRIPTION "Accounts management library for Qt applications"
    URL "https://gitlab.com/accounts-sso/libaccounts-qt"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(KAccounts6 20.04)
set_package_properties(KAccounts6 PROPERTIES
    DESCRIPTION "Accounts management library for KDE applications"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)


find_package(PkgConfig REQUIRED)
pkg_check_modules(SignOnOAuth2 IMPORTED_TARGET signon-oauth2plugin)
set_package_properties(signon-oauth2plugin PROPERTIES
    DESCRIPTION "Plugin for SignOnQt6 which handles OAuth and OAuth2 logins"
    URL "https://gitlab.com/accounts-sso/signon-plugin-oauth2"
    PURPOSE "Required for running the OpenDesktop integration plugin"
    TYPE RUNTIME
)

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)


find_package(KF6KirigamiAddons 1.0.0 CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for Kickoff"
    TYPE RUNTIME
)

find_package(KF6QQC2DesktopStyle ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

if(BUILD_KCM_TABLET)
    find_package(WaylandProtocols 1.44)
    set_package_properties(WaylandProtocols PROPERTIES
        TYPE REQUIRED
        PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
        URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
    )
    find_package(Wayland 1.2)
    set_package_properties(Wayland PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for building Tablet input KCM"
    )
    pkg_check_modules(LIBWACOM libwacom REQUIRED IMPORTED_TARGET)
endif()

find_package(SDL2 2.0.16)
set_package_properties(SDL2 PROPERTIES
        TYPE OPTIONAL
        PURPOSE "Required for building Game Controller KCM"
)

find_package(LibKLookAndFeel ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibKWorkspace ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF6ItemModels CONFIG REQUIRED)
find_package(KSysGuard CONFIG REQUIRED)
find_package(KF6KDED CONFIG REQUIRED)

find_package(KF6Baloo ${KF6_MIN_VERSION})
set_package_properties(KF6Baloo PROPERTIES
    DESCRIPTION "File Searching"
    PURPOSE "Needed to build the File Search KCM"
    TYPE RECOMMENDED
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    PURPOSE "Required for building the X11 based workspace"
    TYPE REQUIRED
)

if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Support audible bell in kaccess"
    TYPE REQUIRED)

find_package(UDev)
set_package_properties(UDev PROPERTIES
    DESCRIPTION "API for enumerating and introspecting local devices (part of systemd)"
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    PURPOSE "Required for device discovery in keyboard daemon and game controller kcm"
    TYPE OPTIONAL
)

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT ATOM RECORD
)

if (BUILD_KCM_TOUCHPAD_X11)
    find_package(X11_XCB)
    set_package_properties(X11_XCB PROPERTIES
        PURPOSE "Required for touchpad KCM (X11 backend) when option BUILD_KCM_TOUCHPAD_X11=ON"
        TYPE REQUIRED
    )
endif()


set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

pkg_check_modules(XORGLIBINPUT xorg-libinput IMPORTED_TARGET)
pkg_check_modules(XORGSERVER xorg-server IMPORTED_TARGET)
pkg_check_modules(XKBREGISTRY xkbregistry REQUIRED IMPORTED_TARGET)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6 PROPERTIES
    DESCRIPTION "Software Manager integration"
    PURPOSE "Used in the KRunner plugin installer"
    TYPE OPTIONAL
)

if(PackageKitQt6_FOUND)
    set(HAVE_PACKAGEKIT TRUE)
endif()

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    PURPOSE "Required for building kimpanel"
    TYPE OPTIONAL
)

# For kimpanel
pkg_check_modules(IBUS "ibus-1.0>=1.5.0" IMPORTED_TARGET)
pkg_check_modules(GOBJECT gobject-2.0 IMPORTED_TARGET)
pkg_check_modules(SCIM scim IMPORTED_TARGET)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX PLASMA VERSION_HEADER plasma_version.h)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-build-options.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-build-options.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

if (INSTALL_SDDM_THEME)
    configure_file(sddm-theme/theme.conf.cmake ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf)

# Install the login theme into the SDDM directory
    #NOTE this trailing slash is important to rename the directory
    install(DIRECTORY sddm-theme/
        DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze
        PATTERN "README.txt" EXCLUDE
        PATTERN "components" EXCLUDE
        PATTERN "dummydata" EXCLUDE
        PATTERN "theme.conf.cmake" EXCLUDE
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf
        DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze
    )
endif()

add_subdirectory(layout-templates)

add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
if(KAccounts6_FOUND AND AccountsQt6_FOUND)
    add_subdirectory(attica-kde)
endif()
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
add_subdirectory(emojier)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kde-mimeapps.list DESTINATION ${KDE_INSTALL_APPDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(XdgUserDir)
set_package_properties(XdgUserDir PROPERTIES
    DESCRIPTION "Xdg-user-dir script"
    PURPOSE "Used to translate default paths in KCM desktoppath"
    TYPE RUNTIME
)

find_package(FontNotoColorEmoji)
set_package_properties(FontNotoColorEmoji PROPERTIES
    PURPOSE "Default emoji font, needed to display emojis properly in Emoji Selector"
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)

add_subdirectory(appiumtests)

if(BUILD_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

=== containments/CMakeLists.txt ===
add_subdirectory(desktop)
add_subdirectory(panel)
plasma_install_package(folder org.kde.plasma.folder plasmoids containment)

=== runners/CMakeLists.txt ===
add_definitions(-DKRUNNER_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055b00)
add_subdirectory(plasma-desktop)
add_subdirectory(keys)
add_subdirectory(kwin)

=== applets/window-list/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

plasma_add_applet(org.kde.plasma.windowlist
    QML_SOURCES
        ConfigGeneral.qml
        config.qml
        main.qml
        MenuButton.qml
    RESOURCES
        main.xml
    GENERATE_APPLET_CLASS
)

=== doc/kcontrol/CMakeLists.txt ===
ecm_optional_add_subdirectory(clock)
ecm_optional_add_subdirectory(colors)
ecm_optional_add_subdirectory(joystick)
ecm_optional_add_subdirectory(kcmaccess)
ecm_optional_add_subdirectory(kcmactivities)
ecm_optional_add_subdirectory(kcm_recentFiles)
ecm_optional_add_subdirectory(kcmstyle)
ecm_optional_add_subdirectory(solid-actions)
ecm_optional_add_subdirectory(splashscreen)
ecm_optional_add_subdirectory(cookies)
ecm_optional_add_subdirectory(baloo)

ecm_optional_add_subdirectory(fonts)
ecm_optional_add_subdirectory(fontinst)
ecm_optional_add_subdirectory(keys)
ecm_optional_add_subdirectory(keyboard)
ecm_optional_add_subdirectory(mouse)
ecm_optional_add_subdirectory(paths)
ecm_optional_add_subdirectory(kcmsmserver)
ecm_optional_add_subdirectory(spellchecking)
ecm_optional_add_subdirectory(kded)
ecm_optional_add_subdirectory(solid-device-automounter)
ecm_optional_add_subdirectory(workspaceoptions)

=== doc/knetattach/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR knetattach)

=== kcms/baloo/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_baloofile\")

kcmutils_add_qml_kcm(kcm_baloofile)

target_sources(kcm_baloofile PRIVATE
    kcm.cpp
    fileexcludefilters.cpp
    filteredfoldermodel.cpp
    baloodata.cpp
)

target_link_libraries(kcm_baloofile PRIVATE
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::Solid
    KF6::Baloo
    KF6::KCMUtilsQuick
    KF6::KIOCore
    Qt::DBus
    Qt::Widgets
)

=== kcms/gamecontroller/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN="kcm_gamecontroller")

kcmutils_add_qml_kcm(kcm_gamecontroller INSTALL_NAMESPACE "plasma/kcms/systemsettings")

ecm_qt_declare_logging_category(kcm_gamecontroller
    HEADER
        logging.h
    IDENTIFIER
        KCM_GAMECONTROLLER
    CATEGORY_NAME
        kcm_gamecontroller
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "KCM for game controller"
    EXPORT
        kcm_gamecontroller
)

ecm_qt_install_logging_categories(
    EXPORT kcm_gamecontroller
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

target_sources(kcm_gamecontroller PRIVATE
    devicemodel.cpp
    device.cpp
    axesmodel.cpp
    axesproxymodel.cpp
    buttonmodel.cpp
    hatmodel.cpp
    kcm.cpp
    udevmatcher.cpp
)

target_link_libraries(kcm_gamecontroller PRIVATE
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::I18n
    Qt6::Quick
    Qt6::QuickWidgets
    SDL2::SDL2
    UDev::UDev
)

=== kcms/landingpage/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_landingpage\")

kcmutils_add_qml_kcm(kcm_landingpage
    SOURCES
        landingpage.cpp
        landingpagedata.cpp
        lookandfeelmetadata.cpp
        lookandfeelmodel.cpp
        splititem.cpp
        splitnode.cpp
)

qt_add_shaders(kcm_landingpage "shaders"
    PRECOMPILE
    BATCHABLE
    OPTIMIZED
    PREFIX
        "/kcms/landingpage/shaders"
    FILES
        "split.frag"
        "split.vert"
)

kcmutils_generate_module_data(kcm_landingpage
    MODULE_DATA_HEADER landingpagedata.h
    MODULE_DATA_CLASS_NAME LandingPageData
    SETTINGS_HEADERS landingpage_kdeglobalssettings.h
    SETTINGS_CLASSES LandingPageGlobalsSettings
)
kconfig_add_kcfg_files(kcm_landingpage landingpage_kdeglobalssettings.kcfgc GENERATE_MOC)

target_link_libraries(kcm_landingpage PRIVATE
    Qt::Quick
    Qt::DBus
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::ConfigGui
    KF6::Package
    PW::KLookAndFeel
    PW::KWorkspace
    Plasma::ActivitiesStats
    KF6::Service
)

if(X11_FOUND)
    target_link_libraries(kcm_landingpage PRIVATE X11::X11)
endif()

install(FILES landingpage_kdeglobalssettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== kcms/libkwindevices/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

ecm_qt_declare_logging_category(kwindevices_SRCS
    HEADER
        kwindevices-logging.h
    IDENTIFIER
        LIBKWINDEVICES
    CATEGORY_NAME
        org.kde.libkwindevices
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "Library for kwin devices"
    EXPORT
        libkwindevices
)

qt_add_dbus_interface(kwindevices_SRCS "${KWIN_INPUTDEVICE_INTERFACE}" InputDevice_interface)

add_library(kwindevices STATIC ${kwindevices_SRCS} devicesmodel.cpp inputdevice.cpp)
set_property(TARGET kwindevices PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kwindevices
    Qt::Core
    Qt::DBus
    Qt::Gui
)

=== kcms/qtquicksettings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmqtquicksettings\")

kcoreaddons_add_plugin(kcm_qtquicksettings INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")
kcmutils_generate_desktop_file(kcm_qtquicksettings)

target_sources(kcm_qtquicksettings PRIVATE kcmqtquicksettings.cpp kcmqtquicksettings.h)
kconfig_add_kcfg_files(kcm_qtquicksettings renderersettings.kcfgc)
ki18n_wrap_ui(kcm_qtquicksettings kcmqtquicksettingswidget.ui)

target_link_libraries(kcm_qtquicksettings
    Qt::Widgets
    KF6::WidgetsAddons
    KF6::KCMUtils
    KF6::I18n
)

=== kcms/runners/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_plasmasearch\")

add_subdirectory(krunner)
add_subdirectory(plasmasearch)
add_subdirectory(plugininstaller)

install(FILES krunner.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== debian/changelog ===
plasma-desktop (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:37:58 +0100

plasma-desktop (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:18:58 +0100

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kded6-dev,
               kscreenlocker-dev (>= 6.4.91~),
               kwin-dev (>= 4:6.4.91~),
               libaccounts-qt6-dev (>= 1.13~),
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libicu-dev,
               libkaccounts6-dev (>= 4:20.04~),
               libkf5runner-dev,
               libkf6attica-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6qqc2desktopstyle-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6sonnet-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.4.91~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.5.2~),
               libplasma5support-dev (>= 4:6.5.2~),
               libplasmaactivities-dev (>= 6.5.2~),
               libplasmaactivitiesstats-dev (>= 6.5.2~),
               libscim-dev,
               libsdl2-dev (>= 2.0.16~),
               libudev-dev,
               libwayland-dev (>= 1.22~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxft-dev,
               libxkbregistry-dev,
               pkgconf,
               plasma-workspace-dev (>= 4:6.5.2~),
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               signon-plugin-oauth2-dev (>= 0.25+git20231015.fab69886-2~),
               signon-plugins-dev (>= 8.61+git20231015.c8ad982-2~),
               wayland-protocols (>= 1.44~),
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-libinput-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git

Package: libkglobalaccelmodel6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma global shortcut runner
 A runner to perform actions from the global shortcuts, useful when an action
 is not assigned to any shortcut, or when the user wants to find the action
 name corresponding to a shortcut.

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:6.2.90~),
         kactivitymanagerd (>= 6.2.90~),
         kde-cli-tools (>= 4:6.2.90~),
         kded6,
         kio6 (>= 6.13.0-4~),
         layer-shell-qt (>= 6.2.90~),
         ocean-sound-theme (>= 6.2.90~),
         oxygen-sounds (>= 4:6.2.90~),
         plasma-desktop-data (= ${source:Version}),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         polkit-kde-agent-1 (>= 4:6.2.90~),
         qml6-module-org-kde-activities,
         qml6-module-org-kde-baloo,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-tableview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qt6-svg-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:6.2.90~),
            breeze-gtk-theme (>= 6.2.90~),
            fonts-hack,
            fonts-noto,
            fonts-noto-color-emoji,
            ibus-data,
            kde-config-gtk-style (>= 4:6.2.90~),
            kde-config-screenlocker (>= 6.2.90~),
            kde-config-sddm (>= 4:6.2.90~),
            kde-spectacle,
            kgamma (>= 6.2.90~),
            khelpcenter,
            kinfocenter (>= 4:6.2.90~),
            kio-extras,
            kmenuedit (>= 4:6.2.90~),
            kscreen (>= 4:6.2.90~),
            ksshaskpass (>= 4:6.2.90~),
            kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
            kwrited (>= 4:6.2.90~),
            libkf6kcmutils-bin,
            libpam-kwallet5 (>= 6.2.90~),
            plasma-browser-integration (>= 6.2.90~),
            plasma-desktop-doc (>= ${source:Version}),
            plasma-discover (>= 6.2.90~),
            plasma-disks (>= 6.2.90~),
            plasma-firewall (>= 6.2.90~),
            plasma-nm (>= 4:6.2.90~),
            plasma-pa (>= 4:6.2.90~),
            plasma-systemmonitor (>= 6.2.90~),
            plasma-thunderbolt (>= 6.2.90~),
            plasma-vault (>= 6.2.90~),
            plasma-welcome (>= 6.2.90~),
            plasma5-integration (>= 6.2.90~),
            powerdevil (>= 4:6.2.90~),
            systemsettings (>= 4:6.2.90~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 6.2.90~),
Suggests: kde-config-flatpak (>= 6.2.90~),
          plasma-theme-oxygen,
Breaks: plasma-desktop-data (<< 4:6.3.2-3~),
        plasma-workspace (<< 4:6.1.0~),
        user-manager (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:6.3.2-3~),
          plasma-workspace (<< 4:6.1.0~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any,
         ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:5.25.70~),
Replaces: plasma-widgets-addons (<< 4:5.25.70~),
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files for the Plasma shell.

Package: plasma-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-desktop-data (<< 4:6.1.90~),
Replaces: plasma-desktop-data (<< 4:6.1.90~),
Description: Plasma desktop documentation
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the documentation for the Plasma shell.

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files for the Plasma shell.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         sddm (>= 0.21.0-2),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-virtualkeyboard-plugin,
Provides: sddm-theme,
Description: Breeze SDDM theme
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: sddm-theme-debian-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         qt6-svg-plugins,
         sddm-theme-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: desktop-base,
            qt6-virtualkeyboard-plugin,
            sddm,
Provides: sddm-theme,
Description: Debian Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme adapted

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test, fourth test never ends
	# xvfb-run -a dh_auto_test
	:

execute_after_dh_auto_install:
	# do not ship helper scripts for extracting l10n catalogs
	find debian/tmp -name Messages.sh -print -delete

## plasma-desktop 6.5.3

=== kcms/dateandtime/ui/CMakeLists.txt ===
qt_add_resources(
    kcm_clock "timezone_files"
    PREFIX "kcm/kcm_clock"
    FILES "main.qml"
)

=== kcms/solid_actions/device-actions/CMakeLists.txt ===
file(GLOB desktopfile *.desktop)

install( FILES ${desktopfile} DESTINATION ${KDE_INSTALL_DATADIR}/solid/devices )

=== debian/changelog ===
plasma-desktop (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:28:07 +0100

=== debian/control ===
--- 
+++ 
@@ -53,10 +53,10 @@
                libkirigami-dev (>= 6.18.0~),
                libksysguard-dev (>= 4:6.4.91~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.2~),
-               libplasma5support-dev (>= 4:6.5.2~),
-               libplasmaactivities-dev (>= 6.5.2~),
-               libplasmaactivitiesstats-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
+               libplasma5support-dev (>= 4:6.5.3~),
+               libplasmaactivities-dev (>= 6.5.3~),
+               libplasmaactivitiesstats-dev (>= 6.5.3~),
                libscim-dev,
                libsdl2-dev (>= 2.0.16~),
                libudev-dev,
@@ -74,7 +74,7 @@
                libxft-dev,
                libxkbregistry-dev,
                pkgconf,
-               plasma-workspace-dev (>= 4:6.5.2~),
+               plasma-workspace-dev (>= 4:6.5.3~),
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,

## plasma-desktop 6.5.3+p24.04+vunstable+git20251207.0030

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(plasma-desktop)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(ACCOUNTSQT_DEP_VERSION "1.13")

=== containments/desktop/plugins/folder/CMakeLists.txt ===
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

ecm_add_qml_module(folderplugin URI org.kde.private.desktopcontainment.folder GENERATE_PLUGIN_SOURCE DEPENDENCIES "QtCore" "QtQuick")

target_sources(folderplugin PRIVATE
    applauncher.cpp
    desktopschemehelper.cpp
    directorypicker.cpp
    foldermodel.cpp
    itemviewadapter.cpp
    labelgenerator.cpp
    menuhelper.cpp
    mimetypesmodel.cpp
    placesmodel.cpp
    positioner.cpp
    previewpluginsmodel.cpp
    subdialog.cpp
    viewpropertiesmenu.cpp
    wheelinterceptor.cpp
    shortcut.cpp
    screenmapper.cpp
    removeaction.cpp
    eventgenerator.cpp
    types.h
)

target_link_libraries(folderplugin PUBLIC
                      Qt::Core
                      Qt::Qml
                      Qt::Quick
                      Plasma::Activities
                      KF6::CoreAddons
                      KF6::KIOCore
                      KF6::KIOWidgets
                      KF6::KIOFileWidgets
                      KF6::I18n
                      Plasma::PlasmaQuick
                      KF6::ConfigGui
                      KF6::Notifications
                      KF6::XmlGui)

ecm_qt_declare_logging_category(folderplugin
    HEADER debug.h
    IDENTIFIER FOLDER
    CATEGORY_NAME org.kde.plasma.folder
)

ecm_finalize_qml_module(folderplugin)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif(BUILD_TESTING)

=== debian/changelog ===
plasma-desktop (4:6.5.3+p24.04+vunstable+git20251207.0030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 00:31:00 +0000

plasma-desktop (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:22 +1000

plasma-desktop (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:38 +1000

## plasma-desktop 6.5.3+p24.04+vunstable+git20251209.0510

=== debian/changelog ===
plasma-desktop (4:6.5.3+p24.04+vunstable+git20251209.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:10:21 +0000

## plasma-desktop 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(plasma-desktop)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(ACCOUNTSQT_DEP_VERSION "1.13")

=== appiumtests/desktop/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME desktoptest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/desktoptest.py --failfast
)
set_tests_properties(desktoptest PROPERTIES TIMEOUT 300 ENVIRONMENT "TEST_WITHOUT_GLOBAL_SHORTCUT=0;USE_CUSTOM_BUS=1;KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd;GDK_BACKEND=wayland;GSK_RENDERER=cairo")

add_test(
    NAME folderviewtest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/folderviewtest.py --failfast
)
set_tests_properties(folderviewtest PROPERTIES TIMEOUT 300 ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR};KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd;TEST_WITH_KWIN_WAYLAND=0")

add_test(
    NAME bug472909test_wayland
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/bug472909.py --failfast
)

add_test(
    NAME bug476968test
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/bug476968.py --failfast
)

set_tests_properties(
    bug472909test_wayland
    bug476968test
    PROPERTIES TIMEOUT 600 ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR};KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd;GDK_BACKEND=wayland")

add_test(
    NAME bug482267test
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/bug482267.py --failfast
)
set_tests_properties(bug482267test PROPERTIES TIMEOUT 600 ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR};KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd")

add_test(
    NAME panel_focus_test
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/panelfocustest.py
)
set_tests_properties(panel_focus_test PROPERTIES TIMEOUT 300 ENVIRONMENT "KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd")

=== debian/changelog ===
plasma-desktop (4:6.5.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop build-dependency on libkf5runner-dev added by mistake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 15:47:02 +0100

plasma-desktop (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:24 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                libibus-1.0-dev (>= 1.5.0~),
                libicu-dev,
                libkaccounts6-dev (>= 4:20.04~),
-               libkf5runner-dev,
                libkf6attica-dev (>= 6.18.0~),
                libkf6auth-dev (>= 6.18.0~),
                libkf6baloo-dev (>= 6.18.0~),
@@ -53,10 +52,10 @@
                libkirigami-dev (>= 6.18.0~),
                libksysguard-dev (>= 4:6.4.91~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.3~),
-               libplasma5support-dev (>= 4:6.5.3~),
-               libplasmaactivities-dev (>= 6.5.3~),
-               libplasmaactivitiesstats-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               libplasma5support-dev (>= 4:6.5.4~),
+               libplasmaactivities-dev (>= 6.5.4~),
+               libplasmaactivitiesstats-dev (>= 6.5.4~),
                libscim-dev,
                libsdl2-dev (>= 2.0.16~),
                libudev-dev,
@@ -74,7 +73,7 @@
                libxft-dev,
                libxkbregistry-dev,
                pkgconf,
-               plasma-workspace-dev (>= 4:6.5.3~),
+               plasma-workspace-dev (>= 4:6.5.4~),
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,

## plasma-desktop 6.5.4+p24.04+vstable+git20260103.0701

=== debian/changelog ===
plasma-desktop (4:6.5.4+p24.04+vstable+git20260103.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 07:01:24 +0000

plasma-desktop (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:35 +1000

## plasma-desktop 6.5.4+p24.04+vstable+git20260105.1246

=== debian/changelog ===
plasma-desktop (4:6.5.4+p24.04+vstable+git20260105.1246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:46:26 +0000

## plasma-desktop 6.5.4+p24.04+vunstable+git20251209.1543

=== debian/changelog ===
plasma-desktop (4:6.5.4+p24.04+vunstable+git20251209.1543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 15:44:03 +0000

## plasma-desktop 6.5.4+p24.04+vunstable+git20251209.2007

=== debian/changelog ===
plasma-desktop (4:6.5.4+p24.04+vunstable+git20251209.2007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:07:32 +0000

## plasma-desktop 6.5.4+p24.04+vunstable+git20251210.0154

=== applets/CMakeLists.txt ===
plasma_install_package(activitypager org.kde.plasma.activitypager)

add_subdirectory(kicker)
add_subdirectory(kickoff)
add_subdirectory(trash)

add_subdirectory(taskmanager)
add_subdirectory(window-list)
plasma_install_package(icontasks org.kde.plasma.icontasks)
add_subdirectory(margins-separator)

if(PlasmaActivities_FOUND)
   add_subdirectory(pager)
   add_subdirectory(showActivityManager)
endif()

add_subdirectory(minimizeall)
add_subdirectory(showdesktop)
add_subdirectory(kimpanel)
plasma_install_package(keyboardlayout org.kde.plasma.keyboardlayout)

=== debian/changelog ===
plasma-desktop (4:6.5.4+p24.04+vunstable+git20251210.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 01:54:53 +0000
